> ## Documentation Index
> Fetch the complete documentation index at: https://api-documentation.kare-app.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Contracts

> API changes for the Contracts module.

<Update label="2026-09-07">
  **1 API change(s) - ⚠️ includes 1 breaking change(s)**

  **`GET /rs/contracts/v1/`**

  * for the `query` request parameter `whereProvider`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
</Update>

<Update label="2026-09-01">
  **2 API change(s)**

  **`GET /rs/contracts/v1/{id}/documents`**

  * added the enum value `createdAt` to the property `items/field` of the `query` request parameter `orderBy`
  * added the enum value `updatedAt` to the property `items/field` of the `query` request parameter `orderBy`
</Update>

<Update label="2026-08-28">
  **4 API change(s) - ⚠️ includes 2 breaking change(s)**

  **`POST /rs/contracts/v1/{id}/archive`**

  * api path removed without deprecation

  **`POST /rs/contracts/v1/{id}/unarchive`**

  * api path removed without deprecation

  **`POST /rs/contracts/v1/batch-archive`**

  * endpoint added

  **`POST /rs/contracts/v1/batch-unarchive`**

  * endpoint added
</Update>

<Update label="2026-08-26">
  **2 API change(s)**

  **`GET /rs/contracts/v1/`**

  * added the new optional `query` request parameter `countOnly`

  **`GET /rs/contracts/v1/{id}/documents`**

  * added the new optional `query` request parameter `countOnly`
</Update>

<Update label="2026-07-31">
  **8 API change(s) — ⚠️ includes 5 breaking change(s)**

  **`GET /rs/contracts/v1/`**

  * removed the required property `data/items/companyId` from the response with the `200` status
  * deleted the `query` request parameter `whereCompany`
  * added the new optional `query` request parameter `whereProvider`
  * added the required property `data/items/providerId` to the response with the `200` status

  **`POST /rs/contracts/v1/`**

  * added the new required request property `providerId`
  * removed the request property `companyId`

  **`GET /rs/contracts/v1/{id}`**

  * removed the required property `companyId` from the response with the `200` status
  * added the required property `providerId` to the response with the `200` status
</Update>

<Update label="2026-07-20">
  **13 API change(s)**

  **`GET /rs/contracts/v1/`**

  * endpoint added

  **`POST /rs/contracts/v1/`**

  * endpoint added

  **`DELETE /rs/contracts/v1/{id}`**

  * endpoint added

  **`GET /rs/contracts/v1/{id}`**

  * endpoint added

  **`PATCH /rs/contracts/v1/{id}`**

  * endpoint added

  **`POST /rs/contracts/v1/{id}/archive`**

  * endpoint added

  **`POST /rs/contracts/v1/{id}/close`**

  * endpoint added

  **`GET /rs/contracts/v1/{id}/documents`**

  * endpoint added

  **`DELETE /rs/contracts/v1/{id}/documents/{documentId}`**

  * endpoint added

  **`PATCH /rs/contracts/v1/{id}/documents/{documentId}`**

  * endpoint added

  **`POST /rs/contracts/v1/{id}/renew`**

  * endpoint added

  **`POST /rs/contracts/v1/{id}/terminate`**

  * endpoint added

  **`POST /rs/contracts/v1/{id}/unarchive`**

  * endpoint added
</Update>
